#include <sys/time.h> 
#include "bench.h"

int total_encode_times = 0;
float total_encode_time = 0.0;

static struct timeval stime, etime ;

/* Time routines */
void start_timer()
{
  gettimeofday(&stime,0);
}

void stop_timer()
{
  gettimeofday(&etime,0);
}

float time_passed()
{
  float tmp;
  tmp=(float) (etime.tv_sec-stime.tv_sec)
    + (float)(etime.tv_usec-stime.tv_usec)/1000000.0;
  return tmp;
}
