#ifndef AFFINITY_SAME_LABEL_HPP
#define AFFINITY_SAME_LABEL_HPP

#include "AffinityFunctor.hpp"

template <typename T>
class AffinitySameLabel : public AffinityFunctor<T>
{

public:
  
  T
  operator()(size_t/* nodeIndex1*/,
	     size_t/* nodeIndex2*/,
	     size_t labelIndex1,
	     size_t labelIndex2)
  {
    return (labelIndex1 == labelIndex2) ? static_cast<T>(1) : static_cast<T>(0);
  }
  
  bool
  isNodeIndependant() const
  {
    return true;
  }
};

#endif /* AFFINITY_SAME_LABEL_HPP */
