/*
  Copyright (C) 2005-2011 Jean-Philippe Domenger, Boris Mansencal,
  Remi Vieux remi.vieux@labri.fr
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef ISECLUSTERERSILOUHETTE_HPP_
#define ISECLUSTERERSILOUHETTE_HPP_

#include <girl/girlCommon.hpp>

#include <opencv2/core/core.hpp>

namespace ise
{

  // TODO: change name, this class is not a clusterer but a method to asses clustering validity
  class GIRL_API ClustererSilouhette  {
    
  public:
    static double silouhette(const cv::Mat &data, const cv::Mat &labels);
    
  };


}
#endif //  ISECLUSTERERSILOUHETTE_HPP_
