#ifndef CONTOURPOINT_HPP
#define CONTOURPOINT_HPP

namespace ise{
  class ContourPoint
  {
  public:
    ContourPoint();
    ContourPoint(const ContourPoint &other);
    ContourPoint &operator=(const ContourPoint &other);

    void setX(double x) { m_x = x; }
    void setY(double y) { m_y = y; }
    void setTX(double tx) { m_tx = tx; }
    void setTY(double ty) { m_ty = ty; }
    void setCurvature(double c);
    void setAngle(double a);
    
    double getCoordX() const { return m_x; }
    double getCoordY() const { return m_y; }
    double getTX() const { return m_tx; }
    double getTY() const { return m_ty; }
    double getCurvature() const { return m_c; }
    double getAngle() const { return m_a; }

  private:
    double m_x;
    double m_y;
    double m_tx;
    double m_ty;
    double m_a;
    double m_c;
  };
}

#endif /* CONTOURPOINT_HPP */
