/*
 * iseRegionSetInterfaceImplFactory.hpp
 *
 *  Created on: Oct 6, 2010
 *      Author: vieux
 */

#ifndef ISEREGIONSETINTERFACEIMPLFACTORY_HPP_
#define ISEREGIONSETINTERFACEIMPLFACTORY_HPP_

#include "iseRegionSetAbstractFactory.hpp"

/**
 * Factory for RegionSetInterfaceImpl class
 */
namespace ise
{

  class RegionSetInterfaceImplFactory : public RegionSetAbstractFactory
  {
    
  public:

    static RegionSetInterfaceImplFactory* instance();

    virtual girl::shared_ptr<RegionSetInterface> newRegionSet(girl::shared_ptr<RegionFeatureComputer>);
    
    virtual const std::string uri() const;

    
  private:
    RegionSetInterfaceImplFactory();
  };
  
}

#endif /* ISEREGIONSETINTERFACEIMPLFACTORY_HPP_ */
