/*
 * iseRegionSetStatisticalFactory.hpp
 *
 *  Created on: Oct 6, 2010
 *      Author: vieux
 */

#ifndef ISEREGIONSETSTATISTICALFACTORY_HPP_
#define ISEREGIONSETSTATISTICALFACTORY_HPP_

#include "iseRegionSetAbstractFactory.hpp"

/**
 * Factory for RegionSetStatistical class
 */
namespace ise
{

  class GIRL_API RegionSetStatisticalFactory : public RegionSetAbstractFactory
  {

  public:
    static RegionSetStatisticalFactory* instance();

    virtual girl::shared_ptr<RegionSetInterface> newRegionSet(girl::shared_ptr<RegionFeatureComputer>);

    virtual const std::string uri() const;

  private:
    RegionSetStatisticalFactory();
  };

}

#endif /* ISEREGIONSETSTATISTICALFACTORY_HPP_ */
