#include "iseSegmentationClusteringBitmap.hpp"
#include <cstring>

namespace ise
{
SegmentationClusteringBitmap::SegmentationClusteringBitmap(SegmentationContext *segContext):
  SegmentationClustering(segContext),
  m_mat(),
  m_pixSize(0)
{
}

bool
SegmentationClusteringBitmap::same(const girl::point &p, girl::direction dir)
{
  assert(m_pixSize);
  girl::point p2 = p;
  p2.move(dir);
  //unsigned char *pbuf  = &(m_mat.ptr(p.y())[p.x()*m_pixSize]);// m_mat.ptr(p.y());
  //unsigned char *p2buf = &(m_mat.ptr(p2.y())[p2.x()*m_pixSize]);

  // for (unsigned int i = 0; i < m_mat.elemSize()*m_mat.channels(); ++i) {
  //   if(pbuf[p.x() + i] != p2buf[p2.x() + i])
  //     return false;
  // }
  // return true;

  return memcmp(&(m_mat.ptr(p.y())[p.x()*m_pixSize]),
		&(m_mat.ptr(p2.y())[p2.x()*m_pixSize]),
		m_pixSize) == 0;

  //  return m_mat.at<unsigned char>(p.y(), p.x()) == m_mat.at<unsigned char>(p2.y(), p2.x());
}

}
