/*
  Test program for 1D Histogram.
  Copyright (C) 2005-2009 Boris Mansencal  boris.mansencal@labri.fr

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/
#ifndef HISTOGRAM1DTEST_HPP
#define HISTOGRAM1DTEST_HPP

#include <cppunit/extensions/HelperMacros.h>

class Histogram1DTest : public  CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( Histogram1DTest );
  CPPUNIT_TEST( testOneValue1 );
  CPPUNIT_TEST( testOneValue2 );
  CPPUNIT_TEST( testTwoValues1 );
  CPPUNIT_TEST( testTwoValues2 );
  CPPUNIT_TEST_SUITE_END();
  
public:

  void setUp();
  void tearDown();

  void testEmpty1();
  void testEmpty2();
  void testOneValue1();
  void testOneValue2();
  void testTwoValues1();
  void testTwoValues2();

protected:

};

#endif /* ! HISTOGRAM1DTEST_HPP */
