/*
 * ImageFeatureLocalBinaryPatternsWidget.cpp
 *
 *  Created on: Apr 4, 2011
 *      Author: vieux
 */

#include "ImageFeatureLocalBinaryPatternsWidget.hpp"

ImageFeatureLocalBinaryPatternsWidget::ImageFeatureLocalBinaryPatternsWidget(MainView *mainView,
    FeatureComputerGUIInfoPtr featureComputerGUIInfo,
    QString name,
    ImageFeaturePlugin *imageFeaturePlugin,
    QWidget *parent = NULL)
: ImageFeatureWidgetInterface(mainView, featureComputerGUIInfo, name, imageFeaturePlugin, parent),
  m_ifcw(NULL),
  m_radiusSpinBox(NULL),
  m_nbPtsSpinBox(NULL),
  m_chanSpinBox(NULL)
{
  build();
}

ImageFeatureLocalBinaryPatternsWidget::~ImageFeatureLocalBinaryPatternsWidget()
{

}

ImageFeatureLocalBinaryPatternsWidget::build()
{
  assert(m_ifcw == NULL);
  m_ifcw = new ImageFeatureChoiceWidget(m_mainView, m_featureComputerGUIInfo, this);
  m_radiusSpinBox = new QDoubleSpinBox(this);
}
