/*
 * ImageFeatureLocalBinaryPatternsWidget.hpp
 *
 *  Created on: Apr 4, 2011
 *      Author: vieux
 */

#ifndef IMAGEFEATURELOCALBINARYPATTERNSWIDGET_HPP_
#define IMAGEFEATURELOCALBINARYPATTERNSWIDGET_HPP_

#include <qiseTools/ImageFeatureWidgetInterface.hpp>



class ImageFeatureChoiceWidget;
class MainView;
class QDoubleSpinBox;
class QSpinBox;


/*
 *
 */
class ImageFeatureLocalBinaryPatternsWidget : public ImageFeatureWidgetInterface
{
public:
  ImageFeatureLocalBinaryPatternsWidget(MainView *mainView,
      FeatureComputerGUIInfoPtr featureComputerGUIInfo,
      QString name,
      ImageFeaturePlugin *imageFeaturePlugin,
      QWidget *parent = NULL);

  virtual
  ~ImageFeatureLocalBinaryPatternsWidget();



  void
  build();

private:

  ImageFeatureChoiceWidget *m_ifcw;
  QDoubleSpinBox *m_radiusSpinBox;
  QSpinBox       *m_nbPtsSpinBox;
  QSpinBox       *m_chanSpinBox;



};

#endif /* IMAGEFEATURELOCALBINARYPATTERNSWIDGET_HPP_ */
