/*
 * ContextualMergeDriverWidget.hpp
 *
 *  Created on: Oct 22, 2010
 *      Author: vieux
 */

#ifndef CONTEXTUALMERGEDRIVERWIDGET_HPP_
#define CONTEXTUALMERGEDRIVERWIDGET_HPP_

#include <qiseTools/MergeDriverWidgetInterface.hpp>


class RegionSetParametersWidget;
class SliderSpinBoxWidget;
/**
 *
 */
class ContextualMergeDriverWidget : public MergeDriverWidgetInterface
{
public:
  ContextualMergeDriverWidget(ise::SegmentationContext *segContext,
      MergeDriverFactory *mergeDriver,
      QWidget *parent = NULL);
  virtual
  ~ContextualMergeDriverWidget();

  virtual void setGUI();
  virtual void getGUI();

protected:
  virtual void buildGUI();

private:

  RegionSetParametersWidget *m_rspw;
  SliderSpinBoxWidget *m_ssb;

};

#endif /* CONTEXTUALMERGEDRIVERWIDGET_HPP_ */
