#ifndef QUANTIFICATIONTHRESHOLDERHUANGWANG2TPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERHUANGWANG2TPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderHuangWang2T.hpp>
#include <QObject>

class QuantificationThresholderHuangWang2TPlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderHuangWang2TPlugin() {}
  
  QuantificationThresholderHuangWang2TPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Huang Wang2T"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderHuangWang2T());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderHuangWang2TPlugin, QuantificationThresholderHuangWang2TPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERHUANGWANG2TPLUGIN_HPP */
