#ifndef QUANTIFICATIONTHRESHOLDERKAPUR1TPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERKAPUR1TPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderKapur1T.hpp>
#include <QObject>

class QuantificationThresholderKapur1TPlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderKapur1TPlugin() {}
  
  QuantificationThresholderKapur1TPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Kapur(1)"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderKapur1T());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderKapur1TPlugin, QuantificationThresholderKapur1TPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERKAPUR1TPLUGIN_HPP */
