#ifndef QUANTIFICATIONTHRESHOLDERKAPUR2TPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERKAPUR2TPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderKapur2T.hpp>
#include <QObject>

class QuantificationThresholderKapur2TPlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderKapur2TPlugin() {}
  
  QuantificationThresholderKapur2TPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Kapur(2)"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderKapur2T());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderKapur2TPlugin, QuantificationThresholderKapur2TPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERKAPUR2TPLUGIN_HPP */
