#ifndef QUANTIFICATIONTHRESHOLDERMAXPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERMAXPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderMax.hpp>
#include <QObject>

class QuantificationThresholderMaxPlugin : public QObject,
					   public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderMaxPlugin() {}
  
  QuantificationThresholderMaxPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Max"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderMax());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderMaxPlugin, QuantificationThresholderMaxPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERMAXPLUGIN_HPP */
