#ifndef QUANTIFICATIONTHRESHOLDERMEANPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERMEANPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderMean.hpp>
#include <QObject>

class QuantificationThresholderMeanPlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderMeanPlugin() {}
  
  QuantificationThresholderMeanPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Mean"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderMean());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderMeanPlugin, QuantificationThresholderMeanPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERMEANPLUGIN_HPP */
