#ifndef QUANTIFICATIONTHRESHOLDERMEDIANPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERMEDIANPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderMedian.hpp>
#include <QObject>

class QuantificationThresholderMedianPlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderMedianPlugin() {}
  
  QuantificationThresholderMedianPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Median"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderMedian());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderMedianPlugin, QuantificationThresholderMedianPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERMEDIANPLUGIN_HPP */
