#ifndef QUANTIFICATIONTHRESHOLDERSEZANPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERSEZANPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderSezan.hpp>
#include <QObject>

class QuantificationThresholderSezanPlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderSezanPlugin() {}
  
  QuantificationThresholderSezanPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Sezan"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderSezan());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderSezanPlugin, QuantificationThresholderSezanPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERSEZANPLUGIN_HPP */
