#ifndef QUANTIFICATIONTHRESHOLDERSHANBAGPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERSHANBAGPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderShanbag.hpp>
#include <QObject>

class QuantificationThresholderShanbagPlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderShanbagPlugin() {}
  
  QuantificationThresholderShanbagPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Shanbag"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderShanbag());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderShanbagPlugin, QuantificationThresholderShanbagPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERSHANBAGPLUGIN_HPP */
