#ifndef QUANTIFICATIONTHRESHOLDERWHATMOUGHPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERWHATMOUGHPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderWhatmough.hpp>
#include <QObject>

class QuantificationThresholderWhatmoughPlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderWhatmoughPlugin() {}
  
  QuantificationThresholderWhatmoughPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Whatmough"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderWhatmough());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderWhatmoughPlugin, QuantificationThresholderWhatmoughPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERWHATMOUGHPLUGIN_HPP */
