#ifndef QUANTIFICATIONTHRESHOLDERYANNIPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERYANNIPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderYanni.hpp>
#include <QObject>

class QuantificationThresholderYanniPlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif

public:
    
  ~QuantificationThresholderYanniPlugin() {}
  
  QuantificationThresholderYanniPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Yanni"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderYanni());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderYanniPlugin, QuantificationThresholderYanniPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERYANNIPLUGIN_HPP */
