#ifndef QUANTIFICATIONTHRESHOLDERYENPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERYENPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderYen.hpp>
#include <QObject>

class QuantificationThresholderYenPlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderYenPlugin() {}
  
  QuantificationThresholderYenPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Yen"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderYen());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderYenPlugin, QuantificationThresholderYenPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERYENPLUGIN_HPP */
