/*
 * RegionSetInterfaceWidgetMean.hpp
 *
 *  Created on: Dec 3, 2010
 *      Author: vieux
 */

#ifndef REGIONSETINTERFACEWIDGETMEAN_HPP_
#define REGIONSETINTERFACEWIDGETMEAN_HPP_

#include <vector>
#include <girl/girlCommon.hpp>

#include <qiseTools/RegionSetInterfaceWidget.hpp>
#include <qiseTools/FeatureData.hpp>
#include <ise/iseRegionSetInterfaceMoments.hpp>

class QVBoxLayout;
class RegionFeatureChoiceMomentsWidget;
class WeightsSetupWidget;
class MainView;
/**
 *
 */
class RegionSetInterfaceWidgetMean : public RegionSetInterfaceWidget
{

public:
  RegionSetInterfaceWidgetMean(MainView *mainView,
			       FeatureComputerGUIInfoPtr featureComputerGUIInfo,
			       RegionSetInterfacePlugin* plugin,
			       QWidget *parent);
  virtual
  ~RegionSetInterfaceWidgetMean();

  void
  buildGUI();

  void getParameters(girl::shared_ptr<ise::RegionSetInterfaceMoments> &regSetMean) const;

  void
  setParameters(const girl::shared_ptr<ise::RegionSetInterfaceMoments> &regSetMean);


private:

  QVBoxLayout* m_layout;

  RegionFeatureChoiceMomentsWidget* m_rfccw;

  ise::SegmentationContext* m_segContext;

};

#endif /* REGIONSETINTERFACEWIDGETMEAN_HPP_ */
