#ifndef REGIONSETINTERFACEMIXEDTEXTIMAGEWIDGET_HPP
#define REGIONSETINTERFACEMIXEDTEXTIMAGEWIDGET_HPP

#include <girl/girlCommon.hpp>

#include <qiseTools/RegionSetInterfaceWidget.hpp>
#include <qiseTools/MainView.hpp>

#include <qiseTools/QuantificationThresholdsWidgetAux.hpp>

class GIRL_API RegionSetInterfaceMixedTextImageWidget : public RegionSetInterfaceWidget
{
public:
  RegionSetInterfaceMixedTextImageWidget(MainView *mainView,
					 FeatureComputerGUIInfoPtr featureComputerGUIInfo,
					 RegionSetInterfacePlugin* plugin,
					 QWidget *parent);

  virtual
  ~RegionSetInterfaceMixedTextImageWidget();


  void
  buildGUI();

  void
  getParameters(std::vector<int> &levels, int &colorSpace, int &channel) const;

  void
  setParameters(std::vector<int> levels, int colorSpace, int channel);


private:

  QuantificationThresholdsWidgetAux *m_qtwa;
};

#endif /* ! REGIONSETINTERFACEMIXEDTEXTIMAGEWIDGET_HPP */
