/*
  Copyright (C) 2005-2011 Jean-Philippe Domenger, Boris Mansencal,
  Julian Roigt, Remi Vieux boris.mansencal@labri.fr
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef REGIONUNARYFUNCTIONWITHREGSETIDENTITYWIDGET_HPP_
#define REGIONUNARYFUNCTIONWITHREGSETIDENTITYWIDGET_HPP_

#include <qiseTools/RegionUnaryFunctionWithRegSetWidget.hpp>
#include <qiseTools/MainView.hpp>
//class SliderSpinBoxWidget;

class QComboBox;

class RegionUnaryFunctionWithRegSetIdentityWidget : public RegionUnaryFunctionWithRegSetWidget
{
  Q_OBJECT

public:

  RegionUnaryFunctionWithRegSetIdentityWidget(MainView *mainView/*ise::SegmentationContext *segContext*/, QWidget *parent);

  void setIndex(size_t index);

  size_t getIndex() const;

protected slots:

  void regSetChanged(int);

protected:

  void buildGUI();

protected: 

 // SliderSpinBoxWidget *m_indexW;
  QComboBox *m_indexW;


};


#endif /* ! REGIONUNARYFUNCTIONWITHREGSETIDENTITYWIDGET_HPP_ */

