#ifndef CSVIMAGECONCEPTREADER_HPP
#define CSVIMAGECONCEPTREADER_HPP

#include "ImageConceptReader.hpp"

class GIRL_API CSVImageConceptReader : public ImageConceptReader
{
public:
  bool read(const QString &filename,
	    ImageConcept* &defaultConcept,
	    QList<ImageConcept *> &concepts);

private:
  void createImageConcept(ImageConcept *ic, const QStringList &tokens, bool readRegions);
};

#endif //IMAGECONCEPTREADER_HPP
