#ifndef CSVIMAGECONCEPTWRITER_HPP
#define CSVIMAGECONCEPTWRITER_HPP

#include "ImageConceptWriter.hpp"

#include <QTextStream>

class GIRL_API CSVImageConceptWriter : public ImageConceptWriter
{
public:
  bool write(QString &filename,
	     ImageConcept* defaultConcept,
	     const QList<ImageConcept *> &concepts,
	     bool writeRegions);

private:
  void writeConcept(QTextStream &outStream,
		    ImageConcept *concept,
		    ImageConceptState state,
		    bool writeRegions);
};

#endif //CSVIMAGECONCEPTWRITER_HPP
