/*
  Copyright (C) 2005-2009 Boris Mansencal  boris.mansencal@labri.fr

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/

#include "GLLayer.hpp"

#include "GLView.hpp"

GLLayer::~GLLayer() 
{
  if (m_view != NULL) {
    m_view->removeLayer(this);
    m_view = NULL;
  }
}


/*
const GLTransformation &
GLLayer::getTransformation() const
{
  return m_transformation;
}

void
GLLayer::setTransformation(const GLTransformation &t)
{
  m_transformation = t;
}
*/

void
GLLayer::boundingRect(QRectF &rect)
{
  rect = QRectF();
}

bool
GLLayer::intersects(const QPointF &pt)
{
  QRectF r;
  boundingRect(r);
  return r.contains(pt);
}
