#ifndef IMAGECONCEPTWRITER_HPP
#define IMAGECONCEPTWRITER_HPP

#include <QString>
#include <QList>

#include "ImageConcept.hpp"

class ImageConceptWriter {
public:
  virtual ~ImageConceptWriter() {} 

  virtual bool write(QString &filename,
		     ImageConcept* defaultConcept,
		     const QList<ImageConcept *> &concepts,
		     bool writeRegions) = 0;
};

#endif //IMAGECONCEPTWRITER_HPP
