/*
  Copyright (C) 2005-2010 Julian Roigt, Boris Mansencal  boris.mansencal@labri.fr

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/
#ifndef IMAGEFEATURETEXTUREPLUGIN_HPP
#define IMAGEFEATURETEXTUREPLUGIN_HPP

#include <girl/girlCommon.hpp>

#include "QIsePlugin.hpp"
#include <QString>

#include "ImageFeaturePlugin.hpp"

class GIRL_API ImageFeatureTexturePlugin : public ImageFeaturePlugin
{
 public:
  ImageFeatureTexturePlugin( const QString &name,
			     const QIseVersion &pluginVersion,
			     const QIseVersion &qiseVersion,
			     QString path = QString::fromUtf8(""))
    : ImageFeaturePlugin(name, "Texture", pluginVersion, qiseVersion, path)
    {}
};

#define ImageFeatureTexturePlugin_iid "org.girl.qise.ImageFeatureTexturePlugin/1.0"
Q_DECLARE_INTERFACE(ImageFeatureTexturePlugin, ImageFeatureTexturePlugin_iid)

#endif /* ! IMAGEFEATURETEXTUREPLUGIN_HPP */
