#ifndef MERGEALGORITHMFACTORY_HPP
#define MERGEALGORITHMFACTORY_HPP

#include <girl/girlSharedPtr.hpp>
#include <girl/girlCommon.hpp>//GIRL_API

namespace ise {
  class MergeAlgorithm;
  class SegmentationContext;
}

class GIRL_API MergeAlgorithmFactory
{
  
public:

  virtual ~MergeAlgorithmFactory()
  {}

  virtual girl::shared_ptr<ise::MergeAlgorithm> create(ise::SegmentationContext *segContext) = 0;
  
};

#endif /* ! MERGEALGORITHMFACTORY_HPP */
