/*
 * MergeDriverDefaultWidget.hpp
 *
 *  Created on: Sep 24, 2010
 *      Author: vieux
 */

#ifndef MERGEDRIVERDEFAULTWIDGET_HPP_
#define MERGEDRIVERDEFAULTWIDGET_HPP_

#include <girl/girlCommon.hpp>
#include "MergeDriverWidgetInterface.hpp"
#include "RegionFeatureChoiceWidget.hpp"

/*
 *
 */
class GIRL_API MergeDriverDefaultWidget : public MergeDriverWidgetInterface
{
public:
  MergeDriverDefaultWidget(ise::SegmentationContext *segContext,
                           MergeDriverFactory *mergeDriver,
                           QWidget *parent = NULL);

  virtual void setGUI();
  virtual void getGUI();

protected:
  void buildGUI();

protected:

  RegionFeatureChoiceWidget *m_regionFeatureChoiceWidget;

};

#endif /* MERGEDRIVERDEFAULTWIDGET_HPP_ */
