/*
  Copyright (C) 2005-2009 Boris Mansencal  boris.mansencal@labri.fr

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/

#ifndef MERGEDRIVERTHRESHOLDSWIDGET_HPP
#define MERGEDRIVERTHRESHOLDSWIDGET_HPP

#include "MergeDriverWidgetInterface.hpp"


namespace ise {
  class SegmentationContext;
//  class MergeDriver;
//  class MergeDriverThresholds;
}
class QSpinBox;
class MergeDriverWidget;


class GIRL_API MergeDriverThresholdsWidget : public MergeDriverWidgetInterface
{
public:
   Q_OBJECT

public:
  MergeDriverThresholdsWidget(ise::SegmentationContext *segContext,
                              MergeDriverFactory *mergeDriverFactory,
			      QWidget *parent = NULL);
 

  virtual void setGUI();
  virtual void getGUI();

protected:

  void buildGUI();

protected:
  MergeDriverWidget *m_mergeDriverWidget;
  QSpinBox *m_thres1SB;
  QSpinBox *m_thres2SB;
  

};

#endif /* ! MERGEDRIVERTHRESHOLDSWIDGET_HPP */ 
