/*
  Test program for findRegions methods in toger.
  Copyright (C) 2005-2011 Boris Mansencal  boris.mansencal@labri.fr

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/
#ifndef CHECK_FINDREGIONS_HPP
#define CHECK_FINDREGIONS_HPP

#include <cppunit/extensions/HelperMacros.h>

#include <girl/girlToger.hpp>

class FindRegionsTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( FindRegionsTest );

  CPPUNIT_TEST( testFindRegionsByPathVa );
  CPPUNIT_TEST( testFindRegionsByPathVb );
  CPPUNIT_TEST( testFindRegionsByPathHa );
  CPPUNIT_TEST( testFindRegionsByPathHb );

  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void testFindRegionsByPathVa();
  void testFindRegionsByPathVb();
  void testFindRegionsByPathHa();
  void testFindRegionsByPathHb();

protected:

};

#endif /* ! CHECK_FINDREGIONS_HPP */
