/*
  Test program for geometric dart class.
  Copyright (C) 2005-2009 Boris Mansencal  boris.mansencal@labri.fr

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/
#ifndef CHECKGEODART_HPP
#define CHECKGEODART_HPP

#include <cppunit/extensions/HelperMacros.h>

#include <girl/girlGeoDart.hpp>

class GeoDartTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( GeoDartTest );
  CPPUNIT_TEST( testConstructor1 );
  CPPUNIT_TEST( testConstructor2 );
  CPPUNIT_TEST( testSet );
  CPPUNIT_TEST( testEquality );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void testConstructor1();
  void testConstructor2();
  void testSet();
  void testEquality();

protected:
  
};

#endif /* ! CHECKGEODART_HPP */
