/*
  Test program for image class.
  Copyright (C) 2005-2009 Boris Mansencal  boris.mansencal@labri.fr

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/
#ifndef CHECK_DISKBACKUP_HPP
#define CHECK_DISKBACKUP_HPP

#include <cppunit/extensions/HelperMacros.h>


class ImageTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( ImageTest );
  CPPUNIT_TEST( testConstructor1 );
  CPPUNIT_TEST( testSetGet1 );
  CPPUNIT_TEST( testCopy1 );
  CPPUNIT_TEST( testCOW1 );
  CPPUNIT_TEST( testSaveLoad );
  CPPUNIT_TEST( testLoadSaveLoad );
  CPPUNIT_TEST_SUITE_END();
  
public:

  void setUp();
  void tearDown();

  void testConstructor1();
  void testSetGet1();
  void testCopy1();
  void testCOW1();  
  void testSaveLoad();
  void testLoadSaveLoad();  

protected:
  
};



#endif /* ! CHECK_DISKBACKUP_HPP */
