#ifndef DISK_BACKUP_H
#define DISK_BACKUP_H

#include <girl/girlToger.h>

/**
 * @brief Write toger @a t to file @a fileName.
 *
 * @return 1 if operation succeeded, else 0. 
 */
int diskBackup_write(const girlToger t, const char *fileName);

/**
 * @brief read toger @a t from file @a fileName.
 *
 * @return 1 if operation succeeded, else 0. 
 */
int diskBackup_read(girlToger t, const char *fileName);



#endif //DISK_BACKUP_H
