/*
  Copyright (C) 2005-2011 Jean-Philippe Domenger, Boris Mansencal,
  Julian Roigt, Remi Vieux remi.vieux@labri.fr
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/
#include "iseBinarizerInvert.hpp"

#include <girlTools/girlToolsImage.hpp>

#include <opencv2/core/core.hpp>

namespace ise
{

  BinarizerInvert::BinarizerInvert()
  {

  }

  BinarizerInvert::~BinarizerInvert()
  {
  }


  void
  BinarizerInvert::binarize(const girl::tools::Image *input, cv::Mat &output)
  {
    assert(input);
    output = cv::Mat::zeros(input->height(), input->width(), CV_8U);
    output = *(input->cvMat()) == 0;
    //cv::Mat tmp = cv::Mat::zeros(input->height(), input->width(), CV_8U);
    //cv::Mat tmp = *(input->cvMat()) == 0;
   // cv::convertScaleAbs(tmp, output);
  }
}
