#ifndef ISEMEMENTABLE_HPP
#define ISEMEMENTABLE_HPP

#include <girl/girlToger.hpp>

namespace ise {

  class ParametersMemento;
  
  class GIRL_API Mementable {
    
  public:
    
    /**
     * @warning its client's responsibility to delete returned MergeDriverMemento.
     */
    virtual girl::shared_ptr<ParametersMemento> getMemento() const = 0;
    
    virtual void setMemento(const girl::shared_ptr<ParametersMemento> memento) = 0;
    
  };
  
}

#endif /* ! ISEMEMENTABLE_HPP */
