/*
  Test program for FeatureComputerHandler.
  Copyright (C) 2005-2009 Remi Vieux  remi.vieux@labri.fr

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 */

/*
 * FeatureComputerHandlerTest.hpp
 *
 *  Created on: Feb 23, 2011
 *      Author: vieux
 */

#ifndef FEATURECOMPUTERHANDLERTEST_HPP_
#define FEATURECOMPUTERHANDLERTEST_HPP_



#include <cppunit/extensions/HelperMacros.h>

/**
 *
 */

class FeatureComputerHandlerTest : public CppUnit::TestFixture
{

  CPPUNIT_TEST_SUITE( FeatureComputerHandlerTest );
  CPPUNIT_TEST(testAdd);
  CPPUNIT_TEST(testSimpleRemove);
  CPPUNIT_TEST(testRemoveDependancies);
  CPPUNIT_TEST(testAppend);
  CPPUNIT_TEST_SUITE_END();


public:

  void setUp();
  void tearDown();

  void testAdd();
  void testAppend();
  void testSimpleRemove();
  void testRemoveDependancies();
 // void testRename();


};


#endif /* FEATURECOMPUTERHANDLERTEST_HPP_ */
