#ifndef QUANTIFICATIONTHRESHOLDERDOMENGERPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERDOMENGERPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderDomenger.hpp>
#include <QObject>

class QuantificationThresholderDomengerPlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderDomengerPlugin() {}
  
  QuantificationThresholderDomengerPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Domenger"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderDomenger());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderDomengerPlugin, QuantificationThresholderDomengerPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERDOMENGERPLUGIN_HPP */
