#ifndef QUANTIFICATIONTHRESHOLDERHUANGWANGPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERHUANGWANGPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderHuangWang.hpp>
#include <QObject>

class QuantificationThresholderHuangWangPlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderHuangWangPlugin() {}
  
  QuantificationThresholderHuangWangPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Huang Wang"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderHuangWang());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderHuangWangPlugin, QuantificationThresholderHuangWangPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERHUANGWANGPLUGIN_HPP */
