#ifndef QUANTIFICATIONTHRESHOLDERLIPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERLIPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderLi.hpp>
#include <QObject>

class QuantificationThresholderLiPlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderLiPlugin() {}
  
  QuantificationThresholderLiPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Li"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderLi());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderLiPlugin, QuantificationThresholderLiPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERLIPLUGIN_HPP */
