#ifndef QUANTIFICATIONTHRESHOLDERRIDDLERPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERRIDDLERPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderRiddler.hpp>
#include <QObject>

class QuantificationThresholderRiddlerPlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderRiddlerPlugin() {}
  
  QuantificationThresholderRiddlerPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Riddler"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderRiddler());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderRiddlerPlugin, QuantificationThresholderRiddlerPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERRIDDLERPLUGIN_HPP */
