#ifndef QUANTIFICATIONTHRESHOLDERSAHOOPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERSAHOOPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderSahoo.hpp>

#include <QObject>

class QuantificationThresholderSahooPlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderSahooPlugin() {}
  
  QuantificationThresholderSahooPlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Sahoo"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()
  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderSahoo());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderSahooPlugin, QuantificationThresholderSahooPlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERSAHOOPLUGIN_HPP */
