#ifndef QUANTIFICATIONTHRESHOLDERVARIANCEPLUGIN_HPP
#define QUANTIFICATIONTHRESHOLDERVARIANCEPLUGIN_HPP

#include <qiseTools/QuantificationThresholderPlugin.hpp>

#include <ise/iseQuantificationThresholder.hpp>

#include <ise/iseQuantificationThresholderVariance.hpp>
#include <QObject>

class QuantificationThresholderVariancePlugin : public QObject,
					     public QuantificationThresholderPlugin
{

  Q_OBJECT
  Q_INTERFACES(QuantificationThresholderPlugin QIsePlugin)
#if QT_VERSION >= 0x050000
  Q_PLUGIN_METADATA(IID QuantificationThresholderPlugin_iid)
#endif
    
public:
    
  ~QuantificationThresholderVariancePlugin() {}
  
  QuantificationThresholderVariancePlugin()
    : QuantificationThresholderPlugin(QString::fromUtf8("Variance"),
				      QIseVersion(1, 0), QIseVersion(1, 0))
  {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder()  {
    girl::shared_ptr<ise::QuantificationThresholder> result(new ise::QuantificationThresholderVariance());
    return result;
  }
};

#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(QIseQuantificationThresholderVariancePlugin, QuantificationThresholderVariancePlugin)
#endif

#endif /* ! QUANTIFICATIONTHRESHOLDERVARIANCEPLUGIN_HPP */
