/*
 * RegionSetInterfaceWidgetRelaxation.hpp
 *
 *  Created on: Dec 3, 2010
 *      Author: vieux
 */

#ifndef REGIONSETINTERFACEWIDGETRELAXATION_HPP_
#define REGIONSETINTERFACEWIDGETRELAXATION_HPP_

#include <vector>
#include <girl/girlCommon.hpp>

#include <qiseTools/RegionSetInterfaceWidget.hpp>
#include <qiseTools/FeatureData.hpp>
#include <ise/iseRegionSetInterfaceMoments.hpp>

class QVBoxLayout;
class RegionSetInterfaceChoiceCombo;
class WeightsSetupWidget;
class MainView;
/**
 *
 */
class RegionSetInterfaceWidgetRelaxation : public RegionSetInterfaceWidget
{

public:
  RegionSetInterfaceWidgetRelaxation(MainView *mainView,
			       FeatureComputerGUIInfoPtr featureComputerGUIInfo,
			       RegionSetInterfacePlugin* plugin,
			       QWidget *parent);
  virtual
  ~RegionSetInterfaceWidgetRelaxation();

  void
  buildGUI();

  void getParameters(girl::shared_ptr<ise::RegionSetInterface> &regSetRelaxation) const;

  void
  setParameters(const girl::shared_ptr<ise::RegionSetInterface> &regSetRelaxation);


private:

  QVBoxLayout* m_layout;

  RegionSetInterfaceChoiceCombo* m_rfccw;

  ise::SegmentationContext* m_segContext;

};

#endif /* REGIONSETINTERFACEWIDGETRELAXATION_HPP_ */
