/*
  Copyright (C) 2005-2009 Jerome Charton, Boris Mansencal  boris.mansencal@labri.fr

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/

#ifndef INTERACTIVESHAPERESIZEHEIGHTSTATUS_HPP
#define INTERACTIVESHAPERESIZEHEIGHTSTATUS_HPP

#include "InteractiveShapeTransformStatus.hpp"

class InteractiveShapeResizeHeightStatus : public InteractiveShapeTransformStatus
{
  
public:

  InteractiveShapeResizeHeightStatus(GLView *view, InteractiveShapeStatus *previousStatus, QPoint &diffMouseCorner, QPoint &source, QPoint &origin)
    : InteractiveShapeTransformStatus(view, previousStatus, diffMouseCorner, source, origin)
  {selectEditionMode(origin, source);}
  
  virtual InteractiveShapeStatus *onMoveWithLeftClick(const QPoint &mouse, PaintingShape *shape);

private:
  
  void selectEditionMode(QPoint &origin, QPoint &source);

};

#endif /* ! INTERACTIVESHAPERESIZEUPSTATUS_HPP */
