/*
  Copyright (C) 2005-2009 Boris Mansencal  boris.mansencal@labri.fr

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/

#ifndef GLTRANSFORMATION_HPP
#define GLTRANSFORMATION_HPP

#include "Transformation.hpp"

class GIRL_API GLTransformation : public Transformation
{
public:

  GLTransformation();

  //not explicit on purpose
  GLTransformation(const Transformation &t);

  void apply() const;

};




#endif /* ! GLTRANSFORMATION_HPP */
