#ifndef IMAGECONCEPTREADER_HPP
#define IMAGECONCEPTREADER_HPP

#include <QString>
#include <QList>

#include "ImageConcept.hpp"

class ImageConceptReader {
public:
  virtual ~ImageConceptReader() { }

  virtual bool read(const QString &filename,
		    ImageConcept* &defaultConcept,
		    QList<ImageConcept *> &concepts) = 0;
};


#endif //IMAGECONCEPTREADER_HPP
