/*
  Copyright (C) 2005-2010 Julian Roigt, Boris Mansencal  boris.mansencal@labri.fr

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/
#ifndef IMAGEFEATURECOMPOSITIONPLUGIN_HPP
#define IMAGEFEATURECOMPOSITIONPLUGIN_HPP

#include <girl/girlCommon.hpp>

#include "QIsePlugin.hpp"
#include <QString>

#include "ImageFeaturePlugin.hpp"
#include "ImageFeatureCompositionWidgetInterface.hpp"

class GIRL_API ImageFeatureCompositionPlugin : public ImageFeaturePlugin
{
 // public:

 //  ImageFeatureWidgetInterface *parameterWidget(MainView *mainView, std::vector<QString> titles, QWidget *parent)
 //  {
 //    if (m_settings == NULL)
 //      m_settings = createSettings();

 //    ImageFeatureWidgetInterface *w = createWidget(mainView, parent);
 //    static_cast<ImageFeatureCompositionWidgetInterface*>(w)->setData(titles);
 //    w->setGUI(m_settings);
 //    return w;
 //  }

 protected : 
  ImageFeatureCompositionPlugin( const QString &name,
				  const QIseVersion &pluginVersion,
				  const QIseVersion &qiseVersion,
				  const std::string &uri = "Composition",
				  QString path = QString::fromUtf8(""))
    : ImageFeaturePlugin(name, uri, pluginVersion, qiseVersion, path)
    {}
};

#define ImageFeatureCompositionPlugin_iid "org.girl.qise.ImageFeatureCompositionPlugin/1.0"
Q_DECLARE_INTERFACE(ImageFeatureCompositionPlugin, ImageFeatureCompositionPlugin_iid)

#endif /* ! IMAGEFEATURECOMPOSITIONPLUGIN_HPP */
