#include "QIseVersion.hpp"

bool
QIseVersion::operator<(const QIseVersion &v) const {
  if (major() != v.major()) {
    return (major() < v.major());
  } else if (minor() != v.minor()) {
    return (minor() < v.minor());
  } else {
    return (micro() < v.micro());
  }
}

bool
QIseVersion::operator<=(const QIseVersion &v) const {
  return !((*this) > v);
}

bool
QIseVersion::operator>(const QIseVersion &v) const {
  if (major() != v.major()) {
    return (major() > v.major());
  } else if (minor() != v.minor()) {
    return (minor() > v.minor());
  } else {
    return (micro() > v.micro());
  }
}

bool
QIseVersion::operator>=(const QIseVersion &v) const {
  return !((*this) < v);
}

bool
QIseVersion::operator!=(const QIseVersion &v) const {
  return !((*this) == v);
}

bool
QIseVersion::operator==(const QIseVersion &v) const {
  return ((major() == v.major()) &&
	  (minor() == v.minor()) &&
	  (micro() == v.micro()));
}
