#ifndef QUANTIFICATIONTHRESHOLDERFACTORY_HPP
#define QUANTIFICATIONTHRESHOLDERFACTORY_HPP

#include <girl/girlSharedPtr.hpp>
#include <girl/girlCommon.hpp>

class QWidget;

namespace ise {
  class QuantificationThresholder;
  class SegmentationContext;
}

class MainView;

class GIRL_API QuantificationThresholderFactory
{
public:
  virtual ~QuantificationThresholderFactory() {}
  
  virtual girl::shared_ptr<ise::QuantificationThresholder> getNewQuantificationThresholder() = 0;
  
  virtual void setSegContext(ise::SegmentationContext *segContext) = 0;
  
};

#endif /* ! QUANTIFICATIONTHRESHOLDERFACTORY_HPP */
