/*
 * RegionBinaryFunctionWithRegSetWidget.cpp
 *
 *  Created on: Dec 14, 2010
 *      Author: vieux
 */

#include "RegionBinaryFunctionWithRegSetWidget.hpp"


#include "RegionSetInterfaceChoiceCombo.hpp"

#include <QVBoxLayout>

RegionBinaryFunctionWithRegSetWidget::RegionBinaryFunctionWithRegSetWidget(MainView *mainView/*ise::SegmentationContext *segContext*/, QWidget *parent)
 : RegionBinaryFunctionWidget(parent),
   //m_segContext(segContext),
   m_mainView(mainView),
   m_mainLayout(NULL),
   m_combo(NULL)
{
  buildGUI();
}

RegionBinaryFunctionWithRegSetWidget::~RegionBinaryFunctionWithRegSetWidget()
{

}


void
RegionBinaryFunctionWithRegSetWidget::buildGUI()
{
  m_mainLayout = new QVBoxLayout;
  //m_combo = new RegionSetInterfaceChoiceCombo(m_segContext, this);
  m_combo = new RegionFeatureChoiceComboWidget(m_mainView, m_mainView->model()->getFeatureComputerGUIInfo(), NULL, true);
  m_mainLayout->addWidget(m_combo);
  setLayout(m_mainLayout);
}
