/*
  Copyright (C) 2010-2011 Remi Vieux  remi.vieux@labri.fr

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/

#ifndef REGIONFEATUREDIALOG_HPP_
#define REGIONFEATUREDIALOG_HPP_

#include <ise/iseSegmentationContext.hpp>

#include <QDialog>
#include <vector>
//#include "RegionFeatureDialog.hpp>
#include "RegionFeatureListMultiPluginWidget.hpp"
#include "SegModel.hpp"

class QString;
class MainView;

class GIRL_API RegionFeatureChoiceDialog : public QDialog
{
  Q_OBJECT

public:

  RegionFeatureChoiceDialog(MainView *mainView, QWidget *parent = NULL);

 // void addFeature(RegionFeatureDialog *imgF, int iseImageFeature);

 // bool controlExistTitle(const std::strng &title);

 // public slots:
 
 //  void addData(RegionFeatureDataPtr data);


protected slots:

  void accept();
  void reject();

protected:

  void buildGUI();

protected:

  RegionFeatureListMultiPluginWidget *m_rflmpw;
  MainView *m_mainView;
};


#endif /* REGIONFEATUREDIALOG_HPP_ */
