/*
  Copyright (C) 2005-2010 Julian Roigt, Boris Mansencal  boris.mansencal@labri.fr

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 */

#ifndef REGIONFEATURECHOICEGRAVITYCENTERWIDGET_HPP
#define REGIONFEATURECHOICEGRAVITYCENTERWIDGET_HPP

#include "RegionFeatureChoiceComboWidgetTemplate.hpp"
#include <ise/iseRegionSetInterfaceGravityCenter.hpp>

class GIRL_API RegionFeatureChoiceGravityCenterWidget : public RegionFeatureChoiceComboWidgetTemplate
{
public:
  RegionFeatureChoiceGravityCenterWidget(MainView *mainView,
				 FeatureComputerGUIInfoPtr featureComputerGUIInfo,
					 QWidget *parent = NULL)
    : RegionFeatureChoiceComboWidgetTemplate(mainView, featureComputerGUIInfo, parent)
  {
    rebuild();
  }

  virtual void rebuild() 
  {
    populateRegionFeatureCombo<ise::RegionSetInterfaceGravityCenter>();
  }
};

#endif /* ! REGIONFEATURECHOICEGRAVITYCENTERWIDGET_HPP */
