/*
  Copyright (C) 2010-2011 Remi Vieux  remi.vieux@labri.fr

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/
#include "RegionFeatureColorimetricMomentsDialog.hpp"

#include <QVBoxLayout>
#include <QDialogButtonBox>

void RegionFeatureColorimetricMomentsDialog::build()
{
  m_csw = new ColorSpaceChoiceWidget(this);

  QVBoxLayout *layout = new QVBoxLayout;
  layout->addWidget(m_csw);

  QDialogButtonBox *buttonBox = new QDialogButtonBox(QDialogButtonBox::Ok
						     , Qt::Horizontal, this);

  connect(buttonBox, SIGNAL(accepted()), this, SLOT(accept()));
  layout->addWidget(buttonBox);
  setLayout(layout);
}

