/*
  Copyright (C) 2005-2010 Julian Roigt, Boris Mansencal  boris.mansencal@labri.fr

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/

#ifndef REGIONFEATURECOMPUTERTABWIDGET_HPP
#define REGIONFEATURECOMPUTERTABWIDGET_HPP

#include "FeatureComputerTabWidget.hpp"
#include "FeatureListMultiPluginWidget.hpp"

#include <girl/girlCommon.hpp>
#include <QObject>

class RegionFeatureWidget;

class GIRL_API RegionFeatureComputerTabWidget : public FeatureComputerTabWidget
{
 public:
  
  RegionFeatureComputerTabWidget(MainView *mainView,
				 FeatureComputerGUIInfoPtr featureComputerGUIInfo,
				 QString name,
				 QWidget *parent = NULL);

  virtual ~RegionFeatureComputerTabWidget() {}

  virtual void initWidget();

 protected:
  
  void buildGUI();
  RegionFeatureWidget *m_widget;
};

#endif /* ! REGIONFEATURECOMPUTERTABWIDGET_HPP */
