#ifndef SPLITALGORITHMFACTORY_HPP
#define SPLITALGORITHMFACTORY_HPP

#include <girl/girlSharedPtr.hpp>
#include <girl/girlCommon.hpp>//GIRL_API

namespace ise {
  class SplitAlgorithm;
  class SegmentationContext;
}

class SplitAlgorithmWidgetInterface;

class GIRL_API SplitAlgorithmFactory
{
  
public:
  
  virtual ~SplitAlgorithmFactory() {}

  virtual girl::shared_ptr<ise::SplitAlgorithm> create(ise::SegmentationContext *segContext) = 0;
  
  //virtual void setSegContext(ise::SegmentationContext *segContext) = 0;
  
};

#endif /* ! SPLITALGORITHMFACTORY_HPP */
