#ifndef SPLITDRIVERFACTORY_HPP
#define SPLITDRIVERFACTORY_HPP

#include <girl/girlSharedPtr.hpp>
#include <girl/girlCommon.hpp>//GIRL_API

namespace ise {
  class SplitDriver;
  class SegmentationContext;
}

class SplitDriverWidgetInterface;

class GIRL_API SplitDriverFactory
{
  
public:

  virtual ~SplitDriverFactory() {}
  
  virtual girl::shared_ptr<ise::SplitDriver> create(ise::SegmentationContext *segContext) = 0;
  
  //virtual void setSegContext(ise::SegmentationContext *segContext) = 0;
  
};

#endif /* ! SPLITDRIVERFACTORY_HPP */
