#ifndef SPLITMERGEALGORITHMFACTORY_HPP
#define SPLITMERGEALGORITHMFACTORY_HPP

#include <girl/girlSharedPtr.hpp>
#include <girl/girlCommon.hpp>//GIRL_API

namespace ise {
  class SplitMergeAlgorithm;
  class SegmentationContext;
}

class SplitAlgorithmFactory;
class MergeAlgorithmFactory;

class SplitMergeAlgorithmWidgetInterface;

class GIRL_API SplitMergeAlgorithmFactory
{
  
public:

  virtual ~SplitMergeAlgorithmFactory() {}
  
  virtual girl::shared_ptr<ise::SplitMergeAlgorithm> create(ise::SegmentationContext *segContext) = 0;
  
  //virtual void setSegContext(ise::SegmentationContext *segContext) = 0;
  
  //virtual void setSplitAlgorithmFactory(SplitAlgorithmFactory *splitAlgo) = 0;
  
  //virtual void setMergeAlgorithmFactory(MergeAlgorithmFactory *mergeAlgo) = 0;
  
};

#endif /* ! SPLITMERGEALGORITHMFACTORY_HPP */
